Bug 1299498 - (CVE-2016-2537) CVE-2016-2537 nodejs-is-my-json-valid: Regular expression DoS using utc-millisec format
CVE-2016-2537 nodejs-is-my-json-valid: Regular expression DoS using utc-milli...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160117,repor...
: Security
Depends On: 1299499
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 09:09 EST by Adam Mariš
Modified: 2017-02-18 09:28 EST (History)
2 users (show)

See Also:
Fixed In Version: nodejs-is-my-json-valid 2.12.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-18 09:28:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-01-18 09:09:10 EST
A regular expression denial of service vulnerability was found in is-my-json-valid. It is possible to block the event loop when specially crafted user input is allowed into a validator using the utc-millisec format.

Upstream patch:

https://github.com/mafintosh/is-my-json-valid/commit/eca4beb21e61877d76fdf6bea771f72f39544d9b
Comment 1 Adam Mariš 2016-01-18 09:09:42 EST
Created nodejs-is-my-json-valid tracking bugs for this issue:

Affects: fedora-all [bug 1299499]
Comment 2 Fedora Update System 2016-02-03 15:50:42 EST
nodejs-is-my-json-valid-2.12.4-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2016-02-12 07:22:16 EST
nodejs-is-my-json-valid-2.12.4-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Piotr Popieluch 2017-02-18 09:28:44 EST
This is fixed in all Fedora releases

Note You need to log in before you can comment on or make changes to this bug.